<!-- 添加/编辑商品  -->
<template>
  <div>
    <el-dialog :append-to-body="true" :close-on-click-modal="false" :title="id|dialogTitle('商品')" :visible.sync="Show" width="1000px">
      <div>
        <el-form :model="formData" :rules="m_rules" ref="ruleForm">
          <el-form-item label="名称" label-width="80px" prop="name">
            <el-input clearable v-model="formData.name" auto-complete="off"></el-input>
          </el-form-item>

          <el-form-item label="状态" label-width="80px" prop="status">
            <el-radio-group v-model="formData.status">
              <el-radio v-for="item in locBaseData.status" :label="item.id" :key="item.id">{{item.name}}</el-radio>
            </el-radio-group>
          </el-form-item>
        </el-form>
      </div>
      <div slot="footer">
        <el-button @click="Show = false">关 闭</el-button>
        <el-button type="primary" @click="sureOption">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>

export default {
  name: 'addFormDialog',
  props: {
    value: {
      required: true,
      type: Boolean,
    },
    id: {
      type: [String, Number]
    },
  },

  computed: {
    Show: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  data() {
    return {
      m_tableLoading: false,
      formData: {
        title: '',//标题
       
      },

      m_rules: {
        title: { required: true, message: '请输入', trigger: 'blur' },
 
      }
    }
  },

  mounted() {
    this.init()
  },

  methods: {
    //初始化方法
    init() {

    },

   //编辑新增数据 点击确定
    sureOption() {
      this.$refs['ruleForm'].validate((valid) => {
        if (valid) {
          if (this.m_isadd) {
            //新增
            this.addData()
          } else {
            //编辑
            this.editData()
          }
        } else {
          console.log('error submit!!');
          return false;
        }
      })

    },

    handelSetMenu() {
      this.$emit('save-after')
      this.Show = false
    },
  },
  watch: {

  },
  filters: {

  }
}

</script>
<style lang='scss' scoped>
</style>